Closed Bug 1167167 (LowStorage) Opened 5 years ago Closed 4 years ago

[meta][Device Storage]Phone lost most functions when "/data" is full

Categories

(Firefox OS Graveyard :: Gaia::System, defect, P4)

ARM
Gonk (Firefox OS)
defect

Tracking

(b2g-v2.0 affected, b2g-v2.0M affected, b2g-v2.1 affected, b2g-v2.2 affected, b2g-v2.5 affected, b2g-master affected)

RESOLVED INCOMPLETE
Tracking Status
b2g-v2.0 --- affected
b2g-v2.0M --- affected
b2g-v2.1 --- affected
b2g-v2.2 --- affected
b2g-v2.5 --- affected
b2g-master --- affected

People

(Reporter: whsu, Unassigned)

References

()

Details

(Whiteboard: [2.5-aries-test-run-4])

User Story

As a user, I want to be able to still use phone (MO and MT calls) when no storage in device so I can still be reachable via my device.

AC:

I want a message that tells me that the device is running out of memory at 10MB
I want a message to tell me that closer to 5MB that the device will disconnect from network
I want to be informed when I make/receive a phone call that call log will not contain information of this call
I want to be informed when I try to send a text/mms message that i can not send/receive message.

Attachments

(5 files)

@ Description:
  We got complaints from our end-users.
  We sell low-end device and there is insufficient hardware resources.
  When device application storage is less than 5 MB. By current design (Bug 861921), system will display warning message of insufficient storage, and then lock indexedDB and enable airplane mode.
  After that, many core functionalities cannot work.
  1) User cannot make a phone call.
  2) User cannot send SMS
  3) User cannot use data network
  4) All system settings cannot be modified/changed via Settings app
  5) Contact cannot be saved.
  6) etc...

  As a user, it seems to be unreasonable.
  
@ Reproduction step:
  1. Use command below to push data to device till application storage is less than 5 MB.
     $ adb push "FILE_NAME" /data/
     * Note: Normal user path: Sync facebook friends, or scan music of SD card. It will occupy application storage.

  2. Make a phone call, send SMS, etc..., when application storage is less than 5 MB.

@ Actual result:
  1. User CANNOT make a phone call or send SMS.

@ Expected result:
  1. User can make a phone call and use preload applications. (TBC. Need UX to review)

@ Build information:
  * Flame v2.0
    Gaia-Rev        84898cadf28b1a1fcd03b726cff658de470282f0
    Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/8e0f11605114
    Build-ID        20150519160201
    Version         32.0
    Device-Name     flame
    FW-Release      4.4.2
    FW-Incremental  eng.cltbld.20150519.192837
    FW-Date         Tue May 19 19:28:48 EDT 2015
    Bootloader      L1TC000118D0

  * Woodduck v2.0m
    Build ID               20150520054814
    Gaia Revision          45ef5035abb12ecc599574cf7e08093a7cd35a66
    Gaia Date              2015-05-12 01:39:55
    Gecko Revision         2eeba29d2b57f3a4573452a63ebb723f361e32a2
    Gecko Version          32.0
    Device Name            jrdhz72_w_ff
    Firmware(Release)      4.4.2
    Firmware(Incremental)  1432072205
    Firmware Date          Wed May 20 05:50:25 CST 2015
Summary: [Device Storage]Phone lost most functions when /data is full → [Device Storage] Phone lost most functions when "/data" is full
I'll put it as a meta to track related issues.
Depends on: 1167147, 1167158
Summary: [Device Storage] Phone lost most functions when "/data" is full → [meta][Device Storage]Phone lost most functions when "/data" is full
Depends on: 1114884
Alias: LowStorage
Depends on: 1168026
I have checked this problem on Flame 2.1, Flame 2.2 and Flame 3.0, the results are as follow:
* Flame 2.1/2.2/3.0(Application storage is less than 5 MB).
1. User can make a phone call normally.
2. User cannot send SMS, compose a message and tap "Send" icon, it will pop up: "Message not sent, There was a problem sending the message. Please try again."
3. User cannot use data network, after turning on Data connection, it will turn off automatically.
4. All system settings cannot be modified/changed via Settings app
5. Contact cannot be saved, on "Add contact" screen, tap "Done" button, device has no response.

See attachment: logcat_Flame3.0_1734.txt & part1.mp4 & part2.mp4 & part3.mp4
Rate: Flame 2.1/2.2/3.0: 100%
Flame 2.1 (Affected)
Build ID               20150524161202
Gaia Revision          0d343f49c0e0a3928a4f456faf98e37bb26a6ef6
Gaia Date              2015-05-21 14:40:33
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/74464f851eed
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150524.194217
Firmware Date          Sun May 24 19:42:28 EDT 2015
Bootloader             L1TC000118D0

Flame 2.2 (Affected)
Build ID               20150524162504
Gaia Revision          de5942bd99b801d4d04b676f1e70a77e93115d95
Gaia Date              2015-05-22 19:38:55
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/1bd024f4e171
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150524.200717
Firmware Date          Sun May 24 20:07:28 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0 (Affected)
Build ID               20150524160204
Gaia Revision          5bcc08a732163087999251b523e3643db397412c
Gaia Date              2015-05-24 14:44:40
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/b6623a27fa64
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150524.192425
Firmware Date          Sun May 24 19:24:36 EDT 2015
Bootloader             L1TC000118D0
Attached video part1.mp4
Attached video part2.mp4
Attached video part3.mp4
See Also: → 1162376
Blocks: 1087874
Blocks: 1179745
No longer blocks: 1179745
Blocks: 1179748
User Story: (updated)
feature-b2g: --- → 2.5+
User Story: (updated)
Hi, Katie,

Just a double check.
Are you the right UX person to take this bug?

Thanks. :)
Flags: needinfo?(kcaldwell)
Yes, working on UX spec now. :)
Flags: needinfo?(kcaldwell)
Depends on: 1201927
Depends on: 1201930
Latest 2.5 Low Device Storage UX spec can be found here:
https://mozilla.box.com/s/bfrwwxdaz1o646h8tmmnlq61lv92sy3f

[Please note: for 2.5 Release, the Acceptance Criteria bullet points #1 & #2 have been removed.]
Depends on: 1204618
Low device storage icons for status bar, lockscreen notification, and notification tray
Depends on: 1208893
Depends on: 1209870
Hi all,

Matej did a string review and we have an update. 
IxD and VsD Specs will be updated to reflect this change.

Please update strings from 'Low Device Storage' to 'Critically Low Storage'

Impacts:
• Settings App: Application Storage, Media Storage & App Permission
• System App: Lockscreen, System Toast & Utility Tray Notifications
• Message App: Low Storage Notice
• Dialer App: Low Storage Notice and Incoming/Outgoing Call Notifications
Depends on: 1212040
Moved the etherpad content to the new etherpad system.
tracking-b2g: --- → +
Blocks: AppStartup
No longer blocks: META_2.5_Release
feature-b2g: 2.5+ → 2.6?
Blocks: PerformanceProgram
No longer blocks: AppStartup
Depends on: 1221086
Whiteboard: [2.5-aries-test-run-4]
[Tracking Requested - why for this release]:
feature-b2g: 2.6? → ---
Priority: -- → P4
Reopen this if you need it.
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.